Summary:    Modern, efficient menu for the MATE Desktop Environment
Name:       brisk-menu
Version:    0.6.2
Release:    %mkrel 3
Group:      Graphical desktop/MATE
# The brisk_system-log-out-symbolic.svg icon is a copy of application-exit-symbolic.svg to use within Brisk.
# This icon is copyright © Sam Hewitt, from the Paper Icons theme, available under the terms of the CC-BY-SA-4.0 license.
License:    GPLv2+ and Creative Commons Attribution-ShareAlike
Url:        https://github.com/getsolus/%{name}
Source0:    https://github.com/getsolus/brisk-menu/releases/download/v%{version}/%{name}-v%{version}.tar.xz
Patch0:     brisk-menu-0.3.0-mga-add_drakconf_launcher.patch
Patch1:     brisk-menu-0.4.0-mga-menu_icon.patch

BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.18.0
BuildRequires:  pkgconfig(gdk-x11-3.0) >= 3.18.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.44.0
BuildRequires:  pkgconfig(libmate-menu) >= 1.18.0
BuildRequires:  pkgconfig(libmatepanelapplet-4.0) >= 1.18.0
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  meson

Requires:   mate-panel >= 1.18.0
Requires:   desktop-common-data

%description
Modern, efficient menu for the MATE Desktop Environment.
Features:
- Keyboard centric (mice welcome too, of course)
- Basic hotkey support (CTRL+F10) Needs fixing to support Super shortcut
- Stupid-fast
- Efficient, useful searching.
- Automatically reload
- Filter via categories
- Session/screensaver controls
- Drag & drop support for launchers
- GTK3
- Fully correct X11 WM integration (grab policy and window types)
- Not Python.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc LICENSE*
%{_libexecdir}/brisk-menu
%dir %{_datadir}/mate-panel/
%dir %{_datadir}/mate-panel/applets/
%{_datadir}/mate-panel/applets/*brisk*.mate-panel-applet
%{_datadir}/icons/hicolor/scalable/actions/brisk*.*
%{_datadir}/glib-2.0/schemas/*%{name}.gschema.xml
%{_datadir}/dbus-1/services/org.mate.panel.applet.BriskMenuFactory.service


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.2-3.mga10
+ Revision: 2213298
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.6.2-2.mga9
+ Revision: 1837751
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 martinw <martinw> 0.6.2-1.mga8
+ Revision: 1615870
- new version 0.6.2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
- Rebuild with meson 0.50.1

* Sat Sep 22 2018 umeabot <umeabot> 0.5.0-2.mga7
+ Revision: 1295679
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 tarakbumba <tarakbumba> 0.5.0-1.mga7
+ Revision: 1190608
- Updated to 0.5.0 version

* Thu Jun 01 2017 tarakbumba <tarakbumba> 0.4.0-1.mga6
+ Revision: 1105751
- Update to 0.4.0 version

* Wed Mar 01 2017 tarakbumba <tarakbumba> 0.3.0-1.mga6
+ Revision: 1088459
- imported package brisk-menu

